//
//  XWLetter.m
//  Crossword
//
//  Created by Max Williams on 28/12/2008.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "XWLetter.h"
#import "XWLetterController.h"

@implementation XWLetter

@synthesize segmentIndex;

- (id)initWithString:(NSString *)string {
	if (self == [super init]) {
		stringRep = [string copy];
		segmentIndex = [[XWLetterController sharedController] segmentIndexForString:string];
	}
	return self;
}

- (NSString *)description {
	return stringRep;
}

+ (XWLetter *)letterForString:(NSString *)string {
	return [[XWLetterController sharedController] letterForString:string];
}

- (void)dealloc {
	[stringRep release];
	[super dealloc];
}

@end
