//
//  XWCell.h
//  Crossword
//
//  Created by Max Williams on 28/12/2008.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "XWLetter.h"

enum XWCellType {
	XWLetterCell,
	XWBlockingCell,
	XWBlankCell
};

typedef enum XWCellType XWCellType;

@interface XWCell : NSObject {
	XWCellType type;
	XWLetter * letter;
}

@property XWCellType type;
@property (assign) XWLetter * letter; // letters retained by letter controller

+ (XWCell *)blankCell;

@end
