//
//  XWCell.m
//  Crossword
//
//  Created by Max Williams on 28/12/2008.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import "XWCell.h"


@implementation XWCell

@synthesize type;

+ (XWCell *)blankCell {
	XWCell * cell = [[[XWCell alloc] init] autorelease];
	cell.type = XWBlankCell;
	return cell;
}

- (XWLetter *)letter {
	return letter;
}

- (void)setLetter:(XWLetter *)newLetter {
	self.type = XWLetterCell;
	letter = newLetter;
}

- (NSString *)description {
	if (type == XWLetterCell) return [NSString stringWithFormat:@"Cell with letter: %@",[letter description]];
	if (type == XWBlockingCell) return [NSString stringWithString:@"Blocking cell"];
	if (type == XWBlankCell) return [NSString stringWithString:@"Blank cell"];
	return [NSString stringWithString:@"Invalid cell"];
}

@end
