//
//  XWWord.h
//  Crossword
//
//  Created by Max Williams on 28/12/2008.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "XWLetter.h"

enum XWOrientation {
	XWOrientationVertical,
	XWOrientationHorizontal
};
typedef enum XWOrientation XWOrientation;

struct XWLocation {
	int x,y;
	XWOrientation orientation;
};
typedef struct XWLocation XWLocation;

XWLocation XWMakeLocationWithOrientation(int x, int y, XWOrientation orientation);
XWLocation XWMakeLocation(int x, int y);

@interface XWWord : NSObject {
	unsigned int length;
	NSArray * letters;
}

- (id)initWithString:(NSString *)string;
+ (XWWord *)wordWithString:(NSString *)string;
- (NSString *)description;
- (XWLetter *)letterAtIndex:(unsigned int)index;
@property (readonly) unsigned int length;

@end
